use warnings;
use strict;
use Test::More tests => 4;

use POWER::Utils::IO;

my $PATH    = 'mysock';

my $clients = 0;

my $listen  = unix_server($PATH);

Accept($listen, sub { $clients++ });
is($clients, 0, 'no clients yet');

my $client1 = unix_client($PATH);
my $client2 = unix_client($PATH);

Accept($listen, sub { 
    my ($sock, $ip, $port) = @_;
    $clients++;
});
is($clients, 2, 'both clients connected');

Accept($listen, sub { $clients++ });
is($clients, 2, 'no more clients');

ok(unlink($PATH), 'socket unlinked');

